local Config = require("Config")


function isKunTangTishen() -- 坤堂微信小程序提审服
	if Config.SVR_INDEX == 183999 then
		return true
	end
end

function isFkwTishen() -- 方块玩微信小程序提审服
	if Config.SVR_INDEX == 185999 then
		return true
	end
end

-- 硬核平台ip范围
function isYingHe()
	if Config.SVR_INDEX >= 570001 and Config.SVR_INDEX <= 570999 then
		return true
	end
end

-- 坤堂微信小程序
function isKunTang()
	if Config.SVR_INDEX >= 182001 and Config.SVR_INDEX <= 183999 then
		return true
	end
end

-- 方块玩微信小程序
function isFKW()
	if Config.SVR_INDEX >= 184001 and Config.SVR_INDEX <= 185999 then
		return true
	end
end

--海外微端
function isHaiwaiWeiduan(human)
	if Config.SVR_INDEX >= 302001 and Config.SVR_INDEX <= 309999 then 
		return true
	end
end

--手q
function isShouQ(human)
	if Config.SVR_INDEX >= 210001 and Config.SVR_INDEX <= 219999 then 
		return true
	end
end


--叶子混服 公测区
function isYeziG(human)
	if Config.SVR_INDEX >= 810051 and Config.SVR_INDEX <= 819999 then 
		return true
	end
end

--叶子混服 公测区
function isQQ()
	--if Config.SVR_INDEX >= 600001 and Config.SVR_INDEX <= 609999 then 
    if Config.SVR_INDEX >= 130001 and Config.SVR_INDEX <= 139999 then 
		return true
	end
end

--叶子混服 公测区
function is9377()
    if Config.SVR_INDEX >= 680001 and Config.SVR_INDEX <= 689999 then 
		return true
	end
end

--
function isAug()
	if Config.SVR_INDEX >= 140001 and Config.SVR_INDEX <= 149999 then 
		return true
	end
end

--taptap
function isTaptap()
	if Config.SVR_INDEX >= 640001 and Config.SVR_INDEX <= 649999 then 
		return true
	end
end


--叶子混服 公测区
function isServerIndex(svrIndex)
	if Config.SVR_INDEX >= svrIndex[1] and Config.SVR_INDEX <= svrIndex[2] then 
		return true
	end
end

-- 是否在这个区间
function inServerIndex(svrIndexs)
	for i = 1, #svrIndexs do
		local index1 = svrIndexs[i][1]
		local index2 = svrIndexs[i][2]
		if Config.SVR_INDEX >= index1 and Config.SVR_INDEX <= index2 then
			return true
		end
	end
end

function isKor()
    if Config.SVR_INDEX >= 340001 and Config.SVR_INDEX <= 349999 then 
		return true
	end
end